Run a search
运行搜索
POST
Run a search
Documentation Index
Fetch the complete documentation index at: https://docs.brightdata.com/llms.txt
Use this file to discover all available pages before exploring further.
强制性:
要么使用
要么使用
max_age,要么使用 min_date + max_date 的组合如果搜索耗时超过 30 秒,响应将仅返回
search_id,您应该异步轮询状态。如果搜索在 30 秒内完成,响应将返回完整的搜索结果对象(与 GET /webarchive/search/<search_id> 相同)。您每天可以运行最多 100 次搜索而不触发转储。
触发转储后,该搜索将不再计入您的限制。
LIKE 与正则表达式过滤器
LIKE 与正则表达式过滤器
- 对于简单的模式匹配,使用 LIKE 过滤器(
domain_like_*、url_like_*),其中%表示任意序列,_表示单个字符。 - LIKE 模式不区分大小写,对于简单的前缀/后缀匹配(如
%.com或amazon%)通常比正则表达式更快。 - 对于需要完整正则表达式语法的复杂模式,使用正则表达式过滤器(
domain_regex_*、url_regex_*)。LIKE 模式使用反斜杠转义:\%表示字面上的%,\_表示字面上的_。
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07dfLearn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Body
application/json
The filters used for this search (echoed back)
Response
Search initiated successfully
- Async (Still Running)
- Completed within 30s
Returned if search is async
Example:
"ucd_abc123xyz"